## giostreamsrc

giostreamsrc — Read from any GIO stream

## Synopsis

    struct              GstGioStreamSrc;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSrc
                         +----GstGioBaseSrc
                               +----GstGioStreamSrc

## Properties

      "stream"                   GInputStream*         : Read / Write

## Description

## Synopsis

### Element Information

plugin | gio
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Source

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Details

### struct GstGioStreamSrc

    struct GstGioStreamSrc;

## Property Details

### The `"stream"` property

      "stream"                   GInputStream*         : Read / Write

Stream to read from.